Package org.eclipse.birt.chart.factory

# Class AbstractGroupedDataRowExpressionEvaluator

java.lang.Object
org.eclipse.birt.chart.factory.AbstractGroupedDataRowExpressionEvaluator

All Implemented Interfaces:
  `IDataRowExpressionEvaluator`, `IGroupedDataRowExpressionEvaluator`

public abstract class AbstractGroupedDataRowExpressionEvaluator extends Object implements IGroupedDataRowExpressionEvaluator
The abstract class is just defined for the grouping integration with BIRT report, Stand-alone mode of chart or chart default grouping mode can't use the class and its implementation.

Through the class, it returns appropriate expressions if current has aggregations defined in chart.

Since:
  2.3

## Constructor Summary

Constructors
Constructor
Description
`AbstractGroupedDataRowExpressionEvaluator()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getExpressions(org.eclipse.birt.chart.internal.datafeed.GroupingLookupHelper helper, boolean isSharingQuery)`
Returns appropriate expressions if current has aggregations defined in chart.
`boolean[]`
`getGroupStatus()`
Returns if group is enabled in each group-level.
`boolean`
`needCategoryGrouping()`
Returns if category grouping needs to be done in chart engine.
`boolean`
`needOptionalGrouping()`
Returns if optional grouping needs to be done in chart engine.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.factory.IDataRowExpressionEvaluator

`close, evaluate, evaluateGlobal, first, next`

### Methods inherited from interface org.eclipse.birt.chart.factory.IGroupedDataRowExpressionEvaluator

`getGroupBreaks`

## Constructor Details

### AbstractGroupedDataRowExpressionEvaluator

public AbstractGroupedDataRowExpressionEvaluator()

## Method Details

### getExpressions

public List<String> getExpressions(org.eclipse.birt.chart.internal.datafeed.GroupingLookupHelper helper, boolean isSharingQuery)
Returns appropriate expressions if current has aggregations defined in chart.

Parameters:
  `helper` -
  `isSharingQuery` -
Returns:
  expressions list

### needOptionalGrouping

public boolean needOptionalGrouping()
Description copied from interface: `IGroupedDataRowExpressionEvaluator`
Returns if optional grouping needs to be done in chart engine.

Specified by:
  `needOptionalGrouping` in interface `IGroupedDataRowExpressionEvaluator`
Returns:
  true then do optional grouping in chart engine.

### needCategoryGrouping

public boolean needCategoryGrouping()
Description copied from interface: `IGroupedDataRowExpressionEvaluator`
Returns if category grouping needs to be done in chart engine.

Specified by:
  `needCategoryGrouping` in interface `IGroupedDataRowExpressionEvaluator`
Returns:
  true then do category grouping in chart engine.

### getGroupStatus

public boolean[] getGroupStatus()
Description copied from interface: `IGroupedDataRowExpressionEvaluator`
Returns if group is enabled in each group-level.

Specified by:
  `getGroupStatus` in interface `IGroupedDataRowExpressionEvaluator`